%global debug_package %{nil}

Name:           oraclelinux-developer-release-el8
Version:        1.0
Release:        6%{dist}
Summary:        Oracle Linux Developer yum repository configuration

Group:          System Environment
License:        GPLv2

Source0:        oraclelinux-developer-release-el8-1.0.tgz
Source1:        LICENSE



BuildArch:     x86_64 aarch64
Requires:      grep
Requires:      sed
Requires:      curl
Requires:      yum 
Requires:      oraclelinux-release-el8 >= 1.0-16

%description
This package contains the  Oracle Linux Developer yum repository configuration.

%prep
%setup -q


%build


%install
rm -rf $RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/%{name}/
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{_builddir}/%{name}-%{version}/oraclelinux-developer-ol8.repo $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -m 755 %{SOURCE1}  $RPM_BUILD_ROOT%{_datadir}/doc/%{name}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_datadir}/doc/%{name}
%{_datadir}/doc/%{name}/*
%config(noreplace) /etc/yum.repos.d/*



%changelog
* Thu Feb 25 2021 Keshav Sharma <keshav.sharma@oracle.com> 1.0-6
- Add ocidomain as yum variable [ OraBug: 31840501]

* Fri Jul 17 2020 Keshav Sharma <keshav.sharma@oracle.com> - 1.0-5
- Use IMDS v2 for OCI.

* Fri Dec 13 2019 Keshav Sharma <keshav.sharma@oracle.com> - 1.0-4
- Disable UEKR6 developer repository by default.

* Mon Oct 07 2019 Tianyue Lan <tianyue.lan@oracle.com> - 1.0-3
- Requires yum [Orabug: 30379164]
- Drop yum-utils [Orabug: 30388002]

* Fri Sep 20 2019 Keshav Sharma <keshav.sharma@oracle.com> 1.0-2
- Added UEKR6 developer repository entry 
- Added aarch64 to BuildArch

* Mon Jul 08 2019 Keshav Sharma <keshav.sharma@oracle.com> 1.0-1
- Initial package

